trim {secr} | R Documentation

## Drop Unwanted List Components

### Description

Drop unwanted components from a `list` object, usually to save space.

### Usage

    ## Default S3 method:
    trim(object, drop, keep)
    ## S3 method for class 'secr'
    trim(object, drop = c("call", "mask", "design", "design0"),
        keep = NULL)

### Arguments

`object` | a list object
`drop` | vector identifying components to be dropped
`keep` | vector identifying components to be kept

### Details

`drop` may be a character vector of names or a numeric vector of indices. If both `drop` and `keep` are given then the action is conservative, dropping only components in `drop` and not in `keep`.

Be warned that some further operations on fitted secr objects become impossible once you have discarded the default components.

### Value

a list retaining selected components.

### Examples

    names(secrdemo.0)
    names(trim(secrdemo.0))
    object.size(secrdemo.0)
    object.size(trim(secrdemo.0))

[Package secr version 3.2.1 Index]